Bug 29463 - Nagios-Monitoring DRS-Replikation
Nagios-Monitoring DRS-Replikation
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Samba4
UCS 4.1
Other Linux
: P5 enhancement (vote)
: UCS 4.1-3-errata
Assigned To: Felix Botner
Stefan Gohmann
:
Depends on:
Blocks: 42554
  Show dependency treegraph
 
Reported: 2012-11-29 14:25 CET by Ingo Steuwer
Modified: 2016-10-04 17:05 CEST (History)
5 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ingo Steuwer univentionstaff 2012-11-29 14:25:17 CET
Eine Störung der DRS-Replikation kann zu zahlreichen Problemen führen, u.a. kein ein längere Zeit "abgekoppelter" DC alte Änderungen replizieren und damit aktuellere Änderungen rückgängig machen.

Gut wäre ein Nagios-Monitoring der DRS-Replikation, z.B. durch Auswerten der Ausgabe von "samba-tool drs showrepl" (oder besser durch direktes Abfragen von samba4?).

Typische Fehlersituationen:
- nicht erreichbare Hosts (z.B. durch Firewall-Änderungen etc.)
- Keberos-Störungen (im einfachsten Fall durch falsche Uhrzeit)
Comment 1 Tobias Scherer univentionstaff 2013-03-13 15:12:58 CET
Erneut nachgefragt an Ticket#2013031321000951
Comment 2 Christina Scheinig univentionstaff 2016-04-22 15:57:03 CEST
A customer requested a nagios-check for drs-replication in a phone-call
Comment 3 Stefan Gohmann univentionstaff 2016-08-25 10:30:50 CEST
See also Ticket #2016082321000589.
Comment 4 Felix Botner univentionstaff 2016-08-26 09:50:20 CEST
* univention-nagios-samba
  new package, installs the nagios plugin check_univention_samba_drs_failures,
  creates the nagios service UNIVENTION_SAMBA_DRS_FAILURES and adds the host
  to this service

  the plugins returns:
  NAGIOS_STATE_OK - if samba4/autostart is not true
  NAGIOS_STATE_CRITICAL - if there are "consecutive_sync_failures"
  NAGIOS_STATE_CRITICAL - for every other error
  NAGIOS_STATE_OK - if everything is fine

  the service config is:
  normalCheckInterval=10
  retryCheckInterval=1
  maxCheckAttempts=10

  in case of a failure, nagios rechecks the plugin for max 10 times 
  (maxCheckAttempts) with a interval of one minute (retryCheckInterval) 
  before sending an email
  so, drs replication can be broken for ca. 10 minutes before nagios triggers
  the alarm, is that OK?

  => merged to 4.2.0

* univention-samba4
  added univention-nagios-samba to recommended packages

  => merged to 4.2-0

* univention-dvd
  added univention-nagios-samba to task-ucs413 (4.1-3)
  added univention-nagios-samba to task-ucs413, task-ucs420 (4.2-0)

* trigger list
  added univention-nagios-samba to ucs_4.1-0-ucs4.1-3.txt

univention-samba4.yaml 5.0.1-40.671.201608251703
univention-nagios-samba 1.0.0-1.1.201608251657
Comment 5 Stefan Gohmann univentionstaff 2016-08-30 07:23:46 CEST
It is announced as unmaintained:

/var/univention/buildsystem2/mirror/testing/4.1/unmaintained/component/4.1-3-errata-test/amd64/univention-nagios-samba_1.0.0-1.2.201608261028_amd64.deb
/var/univention/buildsystem2/mirror/testing/4.1/unmaintained/component/4.1-3-errata-test/i386/univention-nagios-samba_1.0.0-1.2.201608261028_i386.deb
Comment 6 Felix Botner univentionstaff 2016-09-01 14:45:38 CEST
added univention-nagios-samba to 

ucs_4.1-3_i386.maintained
ucs_4.1-3_amd64.maintained

-> apt-cache policy univention-nagios-samba 
univention-nagios-samba:
  Installiert:           (keine)
  Installationskandidat: 1.0.0-1.2.201608261028
  Versionstabelle:
     1.0.0-1.2.201608261028 0
        500 http://updates-test.software-univention.de/4.1/maintained/component/ 4.1-3-errata-test/amd64/ Packages
Comment 7 Stefan Gohmann univentionstaff 2016-09-07 06:41:28 CEST
OK, it is now activated after my upgrade. One issue, you named the nagios check UNIVENTION_SAMBA_DRS_FAILURES. That is different from all other names and looks wrong in the nagios overview. Can you rename it to UNIVENTION_SAMBA_DRS or UNIVENTION_SAMBA_REPLICATION?
Comment 8 Felix Botner univentionstaff 2016-09-07 08:56:45 CEST
(In reply to Stefan Gohmann from comment #7)
> OK, it is now activated after my upgrade. One issue, you named the nagios
> check UNIVENTION_SAMBA_DRS_FAILURES. That is different from all other names
> and looks wrong in the nagios overview. Can you rename it to
> UNIVENTION_SAMBA_DRS or UNIVENTION_SAMBA_REPLICATION?

OK, renamed the nagios service to UNIVENTION_SAMBA_REPLICATION (updated univention-nagios-samba in errata-4.1-3, 4.2-0, updated yaml)
Comment 9 Stefan Gohmann univentionstaff 2016-09-07 12:28:35 CEST
Code review: OK

ucs-test: OK

Tests: OK

YAML: OK